Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface TransactionResponseConstants

All Known Implementing Classes:
  TransactionResponse

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface TransactionResponseConstants

Field Summary
`static String` | `ACTION` Deprecated See BEA Commerce product offering
`static String` | `AUTHORIZATION_FAILED` Deprecated See BEA Commerce product offering
`static int` | `AUTHORIZED` Deprecated See BEA Commerce product offering
`static String` | `CAPTURE_ERROR` Deprecated See BEA Commerce product offering
`static String` | `CONFIGURATION_ERROR` Deprecated See BEA Commerce product offering
`static String` | `CREDITCARD_INVALID` Deprecated See BEA Commerce product offering
`static String` | `EXCEPTION` Deprecated See BEA Commerce product offering
`static int` | `FAILURE` Deprecated See BEA Commerce product offering
`static String` | `GENERAL_SERVICE_ERROR` Deprecated See BEA Commerce product offering
`static int` | `MARKEDFORSETTLE` Deprecated See BEA Commerce product offering
`static int` | `NOSTATUS` Deprecated See BEA Commerce product offering
`static String` | `OK` Deprecated See BEA Commerce product offering
`static int` | `PENDINGSETTLE` Deprecated See BEA Commerce product offering
`static int` | `REJECTED` Deprecated See BEA Commerce product offering
`static int` | `RETRY` Deprecated See BEA Commerce product offering
`static String` | `ROLLBACK` Deprecated See BEA Commerce product offering
`static String` | `SERVICE_UNAVAILABLE_ERROR` Deprecated See BEA Commerce product offering
`static String` | `SETTLE_ERROR` Deprecated See BEA Commerce product offering
`static int` | `SETTLED` Deprecated See BEA Commerce product offering
`static int` | `SETTLEFAILED` Deprecated See BEA Commerce product offering
`static String` | `SYSTEM_ERROR` Deprecated See BEA Commerce product offering

Field Detail

### NOSTATUS

    static final int NOSTATUS

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AUTHORIZED

    static final int AUTHORIZED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SETTLEFAILED

    static final int SETTLEFAILED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### MARKEDFORSETTLE

    static final int MARKEDFORSETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### PENDINGSETTLE

    static final int PENDINGSETTLE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SETTLED

    static final int SETTLED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### FAILURE

    static final int FAILURE

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### REJECTED

    static final int REJECTED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### RETRY

    static final int RETRY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### OK

    static final String OK

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### EXCEPTION

    static final String EXCEPTION

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ACTION

    static final String ACTION

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### ROLLBACK

    static final String ROLLBACK

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CAPTURE_ERROR

    static final String CAPTURE_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SYSTEM_ERROR

    static final String SYSTEM_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SERVICE_UNAVAILABLE_ERROR

    static final String SERVICE_UNAVAILABLE_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CREDITCARD_INVALID

    static final String CREDITCARD_INVALID

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### AUTHORIZATION_FAILED

    static final String AUTHORIZATION_FAILED

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### CONFIGURATION_ERROR

    static final String CONFIGURATION_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### GENERAL_SERVICE_ERROR

    static final String GENERAL_SERVICE_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### SETTLE_ERROR

    static final String SETTLE_ERROR

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved